using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Database.Models;

[Table("template")]
[Index("Directory", "FileName", Name = "uk_template_directory_file_name", IsUnique = true)]
public partial class Template
{
    [Key]
    [Column("id")]
    public int Id { get; set; }

    [Column("name", TypeName = "citext")]
    public string Name { get; set; } = null!;

    [Column("directory", TypeName = "citext")]
    public string Directory { get; set; } = null!;

    [Column("file_name", TypeName = "citext")]
    public string FileName { get; set; } = null!;
}
